Bug 1084 - [UPDATE REQUEST] [UPSTREAM UPDATE] sysfsutils
: [UPDATE REQUEST] [UPSTREAM UPDATE] sysfsutils
Status: RESOLVED FIXED
Product: Server Bugs
Classification: ROSA Server
Component: Main Packages
: unspecified
: All Linux
: Normal normal
: ---
Assigned To: Andrew Lukoshko
: ROSA Server Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-14 12:29 MSK by Andrew Lukoshko
Modified: 2012-11-23 13:16 MSK (History)
1 user (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
andrew.lukoshko: published_server+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Lukoshko 2012-11-14 12:29:30 MSK
Update for sysfsutils from RHEL6 upstream.

Advisory:
* Prior to this update, sysfs directories were not closed as expected. As a
consequence, the libsysfs library could leak memory in long running programs
that frequently opened and closed sysfs directories. This update modifies the
underlying code to close sysfs directories as expected.
http://rhn.redhat.com/errata/RHBA-2012-1453.html

Build lists:
https://abf.rosalinux.ru/build_lists/845547
https://abf.rosalinux.ru/build_lists/845548

Please DON'T PUBLISH, just test.
Comment 1 Vladimir Potapov 2012-11-22 19:13:32 MSK
sysfsutils-2.1.0-7.res6
******************* RHEL Advisory *****************
* Prior to this update, sysfs directories were not closed as expected. As a
consequence, the libsysfs library could leak memory in long running programs
that frequently opened and closed sysfs directories. This update modifies the
underlying code to close sysfs directories as expected.
***************************************************
QA Verified